<?php
header("Cache-control: no-cache");

// Include benötigte class dateien
set_include_path( __DIR__.'/class/' );
spl_autoload_extensions( '.class.php' );
spl_autoload_register();
// Load Global Config
$system = parse_ini_file(__DIR__.'/config.ini', true);
$system['ip'] = $_SERVER['REMOTE_ADDR'];
define('_VMS_' , (ctype_alnum($system['db_prefix']) ? $system['db_prefix'] : 'vms'));

if ($system['gzip_rate'] > 0) {
    ini_set('zlib.output_compression_level', $system['gzip_rate']);
    if(preg_match("/gzip/",getenv("HTTP_ACCEPT_ENCODING")) AND extension_loaded('zlib')) ob_start("ob_gzhandler");  
    else ob_start();
}

require_once (__DIR__.'/functions.lib.php');
require_once (__DIR__.'/session.lib.php');
require_once (__DIR__.'/layout.lib.php');
require_once (__DIR__.'/extras.lib.php');

$_GET = extra_securevars($_GET);
$_POST = extra_securevars($_POST);
$_SERVER = extra_securevars($_SERVER);
if (count ($_SESSION) > 0) $_SESSION = extra_securevars($_SESSION);